Bug 630292 - Review Request: ghc-hamlet - Haml-like template files that are compile-time checked
Review Request: ghc-hamlet - Haml-like template files that are compile-time c...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On: 630223 630274
Blocks: yesod
  Show dependency treegraph
 
Reported: 2010-09-04 12:44 EDT by Ben Boeckel
Modified: 2011-03-15 17:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-hamlet-0.6.1.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-15 17:48:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)
Patch to upgrade to cabal2spec 0.22.4 (2.67 KB, patch)
2011-01-09 23:11 EST, Narasimhan
no flags Details | Diff

  None (edit)
Description Ben Boeckel 2010-09-04 12:44:58 EDT
Spec URL: http://benboeckel.net/packaging/ghc-hamlet/ghc-hamlet.spec
SRPM URL: http://benboeckel.net/packaging/ghc-hamlet/ghc-hamlet-0.5.0-1.fc14.src.rpm
Description:
Hamlet gives you a type-safe tool for generating HTML code.
It works via Quasi-Quoting, and generating extremely
efficient output code. The syntax is white-space sensitive,
and it helps you avoid cross-site scripting issues and 404
errors. Please see the documentation at
<http://docs.yesodweb.com/hamlet/> for more details.

% lintmock fedora-14-x86_64-bb
ghc-hamlet.src: W: spelling-error Summary(en_US) Haml -> Ham, Hal, Hamal
ghc-hamlet.src: W: spelling-error %description -l en_US http -> HTTP
ghc-hamlet.src: W: spelling-error %description -l en_US yesodweb -> mesoderm, yesterday, yessed
ghc-hamlet.src: W: strange-permission ghc-hamlet.spec 0640L
ghc-hamlet.src: W: strange-permission hamlet-0.5.0.tar.gz 0640L
ghc-hamlet.x86_64: W: spelling-error Summary(en_US) Haml -> Ham, Hal, Hamal
ghc-hamlet.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-hamlet.x86_64: W: spelling-error %description -l en_US yesodweb -> mesoderm, yesterday, yessed
ghc-hamlet-devel.x86_64: W: spelling-error Summary(en_US) Haml -> Ham, Hal, Hamal
ghc-hamlet-devel.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-hamlet-devel.x86_64: W: spelling-error %description -l en_US yesodweb -> mesoderm, yesterday, yessed
ghc-hamlet-prof.x86_64: E: devel-dependency ghc-hamlet-devel
ghc-hamlet-prof.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-hamlet-prof.x86_64: W: spelling-error %description -l en_US yesodweb -> mesoderm, yesterday, yessed
ghc-hamlet-prof.x86_64: W: no-documentation
ghc-hamlet-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/hamlet-0.5.0/libHShamlet-0.5.0_p.a
4 packages and 0 specfiles checked; 1 errors, 15 warnings.
Comment 1 Ben Boeckel 2010-10-31 12:36:44 EDT
Spec URL: http://benboeckel.net/packaging/ghc-hamlet/ghc-hamlet.spec
SRPM URL: http://benboeckel.net/packaging/ghc-hamlet/ghc-hamlet-0.6.0-1.fc14.src.rpm

% lintmock fedora-14-x86_64-bb
ghc-hamlet.src: W: spelling-error Summary(en_US) Haml -> Ham, Hal, Hamal
ghc-hamlet.src: W: spelling-error %description -l en_US http -> HTTP
ghc-hamlet.src: W: spelling-error %description -l en_US yesodweb -> mesoderm, yesterday, yessed
ghc-hamlet.src: W: strange-permission ghc-hamlet.spec 0640L
ghc-hamlet.src: W: strange-permission hamlet-0.6.0.tar.gz 0640L
ghc-hamlet.x86_64: W: spelling-error Summary(en_US) Haml -> Ham, Hal, Hamal
ghc-hamlet.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-hamlet.x86_64: W: spelling-error %description -l en_US yesodweb -> mesoderm, yesterday, yessed
ghc-hamlet-devel.x86_64: W: spelling-error Summary(en_US) Haml -> Ham, Hal, Hamal
ghc-hamlet-devel.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-hamlet-devel.x86_64: W: spelling-error %description -l en_US yesodweb -> mesoderm, yesterday, yessed
ghc-hamlet-prof.x86_64: E: devel-dependency ghc-hamlet-devel
ghc-hamlet-prof.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-hamlet-prof.x86_64: W: spelling-error %description -l en_US yesodweb -> mesoderm, yesterday, yessed
ghc-hamlet-prof.x86_64: W: no-documentation
ghc-hamlet-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/hamlet-0.6.0/libHShamlet-0.6.0_p.a
4 packages and 0 specfiles checked; 1 errors, 15 warnings.
Comment 2 Narasimhan 2011-01-09 23:11:01 EST
Created attachment 472496 [details]
Patch to upgrade to cabal2spec 0.22.4
Comment 3 Narasimhan 2011-01-09 23:11:24 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-hamlet-*.rpm ../ghc-hamlet.spec 
ghc-hamlet.i686: W: spelling-error Summary(en_US) Haml -> Ham, Hal, Hamal
The value of this tag appears to be misspelled. Please double-check.

ghc-hamlet.i686: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-hamlet.i686: W: spelling-error %description -l en_US yesodweb -> mesoderm, yesterday, yessed
The value of this tag appears to be misspelled. Please double-check.

ghc-hamlet.i686: W: executable-stack /usr/lib/ghc-6.12.1/hamlet-0.6.0/libHShamlet-0.6.0-ghc6.12.1.so
The binary declares the stack as executable.  Executable stack is usually an
error as it is only needed if the code contains GCC trampolines or similar
constructs which uses code on the stack.  One common source for needlessly
executable stack cases are object files built from assembler files which don't
define a proper .note.GNU-stack section.

ghc-hamlet.src: W: spelling-error Summary(en_US) Haml -> Ham, Hal, Hamal
The value of this tag appears to be misspelled. Please double-check.

ghc-hamlet.src: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-hamlet.src: W: spelling-error %description -l en_US yesodweb -> mesoderm, yesterday, yessed
The value of this tag appears to be misspelled. Please double-check.

ghc-hamlet.src: W: strange-permission hamlet-0.6.0.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-hamlet-devel.i686: W: spelling-error Summary(en_US) Haml -> Ham, Hal, Hamal
The value of this tag appears to be misspelled. Please double-check.

ghc-hamlet-devel.i686: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-hamlet-devel.i686: W: spelling-error %description -l en_US yesodweb -> mesoderm, yesterday, yessed
The value of this tag appears to be misspelled. Please double-check.

ghc-hamlet-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-hamlet-doc.i686: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-hamlet-doc.i686: W: spelling-error %description -l en_US yesodweb -> mesoderm, yesterday, yessed
The value of this tag appears to be misspelled. Please double-check.

ghc-hamlet-prof.i686: E: devel-dependency ghc-hamlet-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-hamlet-prof.i686: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-hamlet-prof.i686: W: spelling-error %description -l en_US yesodweb -> mesoderm, yesterday, yessed
The value of this tag appears to be misspelled. Please double-check.

ghc-hamlet-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-hamlet-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.1/hamlet-0.6.0/libHShamlet-0.6.0_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

5 packages and 1 specfiles checked; 1 errors, 18 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK, BSD license
        No prebuilt external bits - OK
        Spec legibity - OK
        Package templatse - OK, provided a patch to upgrade to cabal2spec 0.22.4
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK. Patch provided to remove it
        %clean is ignored - present anyway. OK. Patch provided to remove it
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package (from F14 onwards)

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
License is BSD
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file packaged with base package.

[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum  ghc-hamlet-0.6.0-1.fc14.src/hamlet-0.6.0.tar.gz 
5337d743a270c6e2f1be4cabce42f243  ghc-hamlet-0.6.0-1.fc14.src/hamlet-0.6.0.tar.gz

md5sum  ~/Downloads/hamlet-0.6.0.tar.gz 
5337d743a270c6e2f1be4cabce42f243  ~/Downloads/hamlet-0.6.0.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on i686.

[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in
ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-hamlet
error: Failed dependencies:
    ghc-hamlet = 0.6.0-1.f13 is needed by (installed) ghc-hamlet-devel-0.6.0-1.f13.i686

rpm -e ghc-hamlet-devel
error: Failed dependencies:
    ghc-hamlet-devel = 0.6.0-1.f13 is needed by (installed) ghc-hamlet-prof-0.6.0-1.f13.i686
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
Checked with rpmquery --list and rpmquery --whatprovides
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Imported Text.Hamlet module via ghci. Works fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 4 Ben Boeckel 2011-01-15 13:20:52 EST
New Package CVS Request
=======================
Package Name: ghc-hamlet
Short Description: Haml-like template files that are compile-time checked
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig
Comment 5 Jens Petersen 2011-01-18 01:55:50 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-03-07 04:59:10 EST
ghc-hamlet-0.6.1.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-hamlet-0.6.1.2-1.fc14
Comment 7 Fedora Update System 2011-03-07 04:59:27 EST
ghc-hamlet-0.6.1.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-hamlet-0.6.1.2-1.fc13
Comment 8 Fedora Update System 2011-03-07 16:06:37 EST
ghc-hamlet-0.6.1.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-hamlet'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-hamlet-0.6.1.2-1.fc13
Comment 9 Fedora Update System 2011-03-15 17:48:22 EDT
ghc-hamlet-0.6.1.2-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 10 Fedora Update System 2011-03-15 17:49:23 EDT
ghc-hamlet-0.6.1.2-1.fc13 has been pushed to the Fedora 13 stable repository.

Note You need to log in before you can comment on or make changes to this bug.